{% if error %}
    <div class="alert alert-warning" role="alert">
        <h4 class="alert-heading">{{ titulo }}</h4>
        <p>{{ subtitulo }}</p>
        <hr>
        <p class="mb-0">{{ mensaje }}</p>
    </div>    
{% else %}
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="col">
                <h4>{{ title }}</h4><hr>
            </div>
        </div>
        <div class="row">
            <div class="col-10">
                <input type="hidden" name="url_ajax" id="url_ajax" value="{{url_ajax}}" />
            </div>
            <div class="col-12 text-right">

            </div>
        </div>
        <div class="row">
            <div class="col-12">
                &nbsp;
            </div>
        </div>        
        <div class="row">
            <div class="col-12">
                <form id="formSolicitudDeAlumno" name="formSolicitudDeAlumno" method="post" action="" onsubmit="return false;">                                
                    {#Inicio del formulario#}
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputId">ID DE REGISTRO</label></font>
                            <input class="form-control" type="text" id="inputId" name="inputId" disabled value="{{ objAlumno.id }}"/>
                        </div>
                    </div>
                    <br>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtName">Nombres</label></font>
                            <input class="form-control" type="text" id="inputTxtName"  maxlength="25" minlength="2" onkeypress="return soloLetras(event)"  name="inputTxtName" required="required" value="{{ objAlumno.chr_first_name}}"/>
                        </div>
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtApellido">Apellidos</label></font>
                            <input class="form-control" type="text" id="inputTxtApellido" maxlength="25" minlength="2" onkeypress="return soloLetras(event)" name="inputTxtApellido" required="required" value="{{ objAlumno.chr_last_name}}"/>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtDNI">DNI</label></font>
                            <input class="form-control" type="number" id="inputTxtDNI" name="inputTxtDNI" maxlength="8" minlength="8"  required="required" value="{{ objAlumno.int_dni}}"/>
                        </div>
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtCodeEstudiante">Codigo de estudiante</label></font>
                            <input class="form-control" type="number" maxlength="9" minlength="9" id="inputTxtCodeEstudiante"  name="inputTxtCodeEstudiante" required="required" value="{{ objAlumno.chr_cod_alumno }}"/>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtcorreo">Correo</label></font>
                            <input class="form-control" type="email" id="inputTxtcorreo" name="inputTxtcorreo"  required="required" value="{{ objAlumno.chr_correo}}"/>
                        </div>
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtcelular">Numero de celular</label></font>
                            <input class="form-control"  type="number" maxlength="9" minlength="9" id="inputTxtcelular" name="inputTxtcelular" required="required" value="{{ objAlumno.int_celular}}"/>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'> <label for="inputcarrera">Carrera del estudiante</label></font>
                            <select required="required" id="inputcarrera" name="inputcarrera" class="form-control">
                                <option value="">[ Seleccione una carrera ]</option>
                                {% if carreras |length > 0 %}
                                    {% for carrera in carreras  %}
                                        {%if carrera.id == objAlumno.int_carreraid%}
                                            <option value="{{carrera.id}}" selected="selected">[{{carrera.chr_code}}] {{carrera.chr_name}}</option>
                                        {%else%}
                                            <option value="{{carrera.id}}">[{{carrera.chr_code}}] {{carrera.chr_name}}</option>
                                        {%endif%}
                                    {% endfor %}
                                {% endif %}
                            </select>  
                        </div>
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtFechaDeIngreso">Fecha de ingreso</label></font>
                            <input class="form-control" type="date" min="2010-01-01" max="2019-12-31" id="inputTxtFechaDeIngreso" name="inputTxtFechaDeIngreso" required="required" value="{{ objAlumno.chr_fecha_ingreso}}"/>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <font size='3'> <label for="inputTxtCiclo">Ciclo del Alumno</label></font>
                            <select required="required" id="inputTxtCiclo" name="inputTxtCiclo" class="form-control">
                                <option value="">[ Seleccione el ciclo ]</option>
                                {% if ciclos |length > 0 %}
                                    {% for disponibble in ciclos  %}
                                        {%if disponibble == objAlumno.int_ciclo%}
                                            <option value="{{disponibble}}" selected="selected">{{disponibble}}</option>
                                        {%else%}
                                            <option value="{{disponibble}}">{{disponibble}}</option>
                                        {%endif%}
                                    {% endfor %}
                                {% endif %}
                            </select>  
                        </div>
                        <div class="form-group col-md-6">
                            <font size='3'>  <label for="inputTxtFechaDeNacimiento">Fecha de Nacimiento</label></font>
                            <input class="form-control" type="date" min="1955-01-01" max="2004-12-31" id="inputTxtFechaDeNacimiento" name="inputTxtFechaDeNacimiento" required="required" value="{{ objAlumno.chr_fecha_nacimiento}}"/>
                        </div>
                    </div>
                    {#      <div class="form-row">
                              <div class="form-group col-md-6">
                                  <font size='3'> <strong><label for="inputTipoSolicitud">Tipo de solicitud</label></strong></font>
                                  <select onchange="EditarBotondeEnviar(this);"   id="inputTipoSolicitud" name="inputTipoSolicitud" class="form-control">
                                      <option  value="">[ Seleccione el tipo de solicitud ]</option>
                                      <option  value="2" >Cambios en malla de un programa</option>
                                      <option  value="1" >Cambios en cursos masivos</option>
                                  </select>  
                              </div>
                          </div>#}
                    <br>
                    <div class="form-group">
                        <div class="form-group text-right">
                            <a class="btn btn-primary" href="{{url_home}}" role="button"><i class="fa fa-home"></i> Página inicial</a>
                            <a class="btn btn-danger" href="{{url_backto}}" role="button"><i class="fa fa-arrow-left"></i> Volver</a>
                            <input type="hidden" id="alumnoid" name="alumnoid" value="{{ objAlumno.id }}" />
                            <button class="btn btn-secondary" type="submit" name="btnGuardar" id="btnGuardar"><i class="fa fa-save"></i>Guardar</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>        
    </div>
{%endif%}
<div id="spinner"></div>
{% include('partials/mensaje.html.twig')  with {'mensaje':mensaje} %}